%ifarch x86_64
%define bits 64
%else
%define bits 32
%endif

Name: monetdb-sql
Version: 2.38.5
Release: alt3
Summary: MonetDB SQL - Monet Database Management System

Group: Databases
License: MonetDB Public License v1.1
URL: http://monetdb.cwi.nl/
Source: %name-%version.tar.gz
Packager: Eugeny A. Rostovtsev (REAL) <real at altlinux.org>

BuildRequires: e2fsprogs-devel flex bzlib-devel libpcre-devel
BuildRequires: transfig libmonetdb-devel
BuildRequires: libmonetdb-client-devel libmonetdb-server-devel
BuildPreReq: texi2html latex2html texlive-latex-recommended

Requires: lib%name = %version-%release

%description
MonetDB is a database management system that is developed from a
main-memory perspective with use of a fully decomposed storage model,
automatic index management, extensibility of data types and search
accelerators, SQL- and XML- frontends.

This package contains some common files for the %name-server package.
You really need to install %name-server.

%package server
Summary: MonetDB5 SQL server modules
Group: Databases
Requires: monetdb-server lib%name = %version-%release

%description server
MonetDB is a database management system that is developed from a
main-memory perspective with use of a fully decomposed storage model,
automatic index management, extensibility of data types and search
accelerators, SQL- and XML- frontends.

This package contains the SQL frontend for MonetDB5.

%package -n lib%name
Summary: Shared libraries of MonetDB SQL
Group: System/Libraries

%description -n lib%name
MonetDB is a database management system that is developed from a
main-memory perspective with use of a fully decomposed storage model,
automatic index management, extensibility of data types and search
accelerators, SQL- and XML- frontends.

This package contains shared libraries of MonetDB SQL.

%package -n lib%name-devel
Summary: MonetDB SQL development package
Group: Development/C
Requires: %name-server = %version-%release
Requires: libmonetdb-server-devel
Requires: libmonetdb-devel
Requires: libmonetdb-client-devel

%description -n lib%name-devel
MonetDB is a database management system that is developed from a
main-memory perspective with use of a fully decomposed storage model,
automatic index management, extensibility of data types and search
accelerators, SQL- and XML- frontends.

This package contains the files needed to develop with %name.

%prep
%setup

sed -i 's|\(\-O6\)|\1 -g|g' configure

%build
%add_optflags -fno-strict-aliasing
%configure \
	--enable-strict=no \
	--enable-assert=no \
	--enable-debug=no \
	--enable-optimize=yes \
	--enable-bits=%bits \
	--with-monetdb=%_prefix \
	--with-clients=%_prefix
%make_build

%install
%makeinstall_std

find %buildroot -name \*.la | xargs rm -f
mkdir -p %buildroot/%_localstatedir/log/MonetDB \
	%buildroot/%_localstatedir/run/MonetDB

%files server
%doc COPYING README TODO dump-restore.*
%_bindir/*
%exclude %_bindir/monetdb-sql-config
%_libdir/MonetDB5/lib/lib_sql*
%_libdir/MonetDB5/*.mal
%_libdir/MonetDB5/*.sql
%_libdir/MonetDB5/autoload/*_sql.mal
%dir %_includedir/MonetDB5/sql
%_includedir/MonetDB5/sql/embeddedclient.h
%_man1dir/*
%dir %attr(775,monetdb,monetdb) %_localstatedir/log/MonetDB
%dir %attr(775,monetdb,monetdb) %_localstatedir/run/MonetDB

%files -n lib%name
%_libdir/libembeddedsql5.so.*

%files -n lib%name-devel
%_pkgconfigdir/MonetDB-SQL.pc
%_bindir/monetdb-sql-config
%_libdir/*.so

%changelog
* Mon Mar 21 2011 Eugeny A. Rostovtsev (REAL) <real at altlinux.org> 2.38.5-alt3
- Rebuilt for debuginfo

* Fri Oct 15 2010 Eugeny A. Rostovtsev (REAL) <real at altlinux.org> 2.38.5-alt2
- Fixed underlinking of libraries

* Wed Sep 29 2010 Eugeny A. Rostovtsev (REAL) <real at altlinux.org> 2.38.5-alt1
- Initial build for Sisyphus

* Tue Aug 24 2010 Sjoerd Mullender <sjoerd@acm.org> - 2.38.5-20100824
- Rebuilt.

* Mon Aug 23 2010 Sjoerd Mullender <sjoerd@acm.org> - 2.38.5-20100823
- Rebuilt.

* Fri Aug 20 2010 Sjoerd Mullender <sjoerd@acm.org> - 2.38.5-20100823
- Fixed a case where the optimizer incorrectly removed an expression.
  This fixes bu 2602.
- Fix a crash in prepared statements when a parameter is on the left-hand
  side of a binary operator.  This fixes bug 2599.
- Fixed reporting of a violated foreign key constraint.  This fixes
  bug 2598.
- Certain schema altering queries didn't report success, even though
  they did succeed.  This fixes bug 2589.
- Fixed a crash when a non-existing table was used in an IN clause.
  Fixes bug 2604.
- Fixed bug 2633.  Adding a LIMIT clause could, in certain conditions,
  cause a crash.

* Thu Aug 19 2010 Sjoerd Mullender <sjoerd@acm.org> - 2.38.5-20100823
- A bug was fixed where updates were missing in large transaction.
  This fixes bug 2543.
- A memory leak was fixed which caused the server to grow when loading
  and emptying a table.  This was bug 2539.

* Fri Aug 13 2010 Niels Nes <niels@cwi.nl> - 2.38.5-20100823
- Fixed bug 2643 added more defensive code, when an aggregation function
  doesn't exist
- Fixed bug 2651 properly handle dead code elimination with
  op_semi/op_anti and references

* Thu Aug 12 2010 Niels Nes <niels@cwi.nl> - 2.38.5-20100823
- Fixed bug 2652. Correctly list all columns of a 'IN' query with 'EXCEPT'
- Fixed bug 2353. The relational optimizer didn't handle range join
  expressions properly.
- fixed bug 2354. Improved function resolution.

* Mon Aug  9 2010 Jennie Zhang <y.zhang@cwi.nl> - 2.38.5-20100823
- Fixed bug 2645: mat.pack+algebra.slice should be replaced by mat.slice
  for 'limit 1' (when the default_pipe is used)

* Fri Aug  6 2010 Fabian Groffen <fabian@cwi.nl> - 2.38.5-20100823
- Fixed bug #2641,  The SQL server now handles Unicode BOM sequences
  occurring in any place.  Previously an "unexpected character (U+FEFF)"
  error would be returned.

* Fri Jul 30 2010 Niels Nes <niels@cwi.nl> - 2.38.5-20100823
- Fix Bug 2611. Fixed check for multiple functions without parameters.
- Fixed bug 2569 (except/union/intersect right after
  insert/delete/update. We now correctly fallback to the more general
  subquery case (not only simple selects (SQL_SELECT)).

* Thu Jul 29 2010 Niels Nes <niels@cwi.nl> - 2.38.5-20100823
- Fixed bug in handling 'WITH' and row_number()  (Bug 2631).
  The cardinality of the row_number expression was incorrect.

* Thu Jul 29 2010 Niels Nes <niels@cwi.nl> - 2.38.5-20100823
- Fixed ORDER BY over UNION etc. (bug 2606) by
  automatically adding select * around select x union select y order by z.

* Mon Jul 26 2010 Fabian Groffen <fabian@cwi.nl> - 2.38.5-20100823
- On installs with (very) long prefixes, the UNIX domain sockets could get
  truncated, causing merovingian to become unavailable to monetdb and mclient.
  Similarly, a fall back to a regular TCP socket for mapi connections is
  used for forked mservers in this case.

* Wed Jul 21 2010 Fabian Groffen <fabian@cwi.nl> - 2.38.5-20100823
- Really shutdown when an argument to merovingian was given, instead of
  ending up in some inconsistent state.  This solves all weird behaviour
  observed in bug #2628.
- Report MonetDB release on --version flags and in the logs.

* Tue Jul 20 2010 Sjoerd Mullender <sjoerd@acm.org> - 2.38.5-20100823
- Fixed bug 2624: function returning decimal returned result that was
  scaled incorrectly.

* Sun Jul 18 2010 Stefan Manegold <Stefan.Manegold@cwi.nl> - 2.38.5-20100823
- fixed bug 2622 "LIMIT & OFFSET ignored on 64-bit big-endian when
  combined with GROUP BY"

* Fri Jul 16 2010 Fabian Groffen <fabian@cwi.nl> - 2.38.5-20100823
- Remove references to master/slave settings, since replication isn't yet
  fully implemented in Jun2010 branch.

* Tue Jul 13 2010 Sjoerd Mullender <sjoerd@acm.org> - 2.38.3-20100713
- Rebuilt.

* Mon Jul 12 2010 Sjoerd Mullender <sjoerd@acm.org> - 2.38.3-20100712
- Rebuilt.

* Mon Jul 12 2010 Stefan Manegold <Stefan.Manegold@cwi.nl> - 2.38.3-20100712
- Make queries like (SELECT ...) UNION ALL (SELECT ...) ORDER BY ...;
  work, again, that were broken since Jun 22 2010 triggering errors
  like "ORDER BY: missing select operator"

* Fri Jul  9 2010 Fabian Groffen <fabian@cwi.nl> - 2.38.3-20100712
- Removed false connection warning about missing SQL script ("could
  not read createdb.sql") received by the client upon first connect on
  a newly created database.  Bug #2591

* Fri Jul 09 2010 Sjoerd Mullender <sjoerd@acm.org> - 2.38.3-20100709
- Rebuilt.

* Thu Jul  8 2010 Fabian Groffen <fabian@cwi.nl> - 2.38.3-20100709
- Improved error message for certain type-related problems by
  including the affected column name.

* Wed Jul  7 2010 Fabian Groffen <fabian@cwi.nl> - 2.38.3-20100709
- Make TEXT a separate keyword, separating it from CLOB, such that we
  can sloppily allow TEXT to appear as a column name, since it seems
  not to be in the standard as reserved keyword.

* Wed Jul  7 2010 Niels Nes <niels@cwi.nl> - 2.38.3-20100709
- Fixed bug 2581. Completed the implementation of handling Boolean
  types in prepare statements.
- Fix bug 2582. Statements with 'constant in ( )' are now handled
  properly.
- Fixed bug 2583 + added test. The assert was incorrect.

* Mon Jul  5 2010 Niels Nes <niels@cwi.nl> - 2.38.3-20100706
- Fixed bug in zero_or_one
- Fixed bug in dead code elimination for projections with distinct
- Fixed bug handling join with constant values on both sides (like
  group results and constants)
- fixed bug in UPDATE TABLE when updating multiple rows

* Wed Jun 30 2010 Stefan Manegold <Stefan.Manegold@cwi.nl> - 2.38.3-20100706
- fixed bug 2564: in case group by column is not found as alias in
  projection list, fall back to check plain input columns in order to
  find the underlying BAT and check its sortedness

* Wed Jun 30 2010 Sjoerd Mullender <sjoerd@acm.org> - 2.38.1-20100630
- Rebuilt.

* Fri Jun 25 2010 Sjoerd Mullender <sjoerd@acm.org> - 2.38.1-20100625
- Rebuilt.

* Thu Jun 24 2010 Niels Nes <niels@cwi.nl> - 2.38.1-20100625
- make it possible to use '?' in offset and limit

* Tue Jun 22 2010 Sjoerd Mullender <sjoerd@acm.org> - 2.38.1-20100622
- Rebuilt.

* Fri Jun 18 2010 Sjoerd Mullender <sjoerd@acm.org> - 2.38.1-20100622
- Added include and .lib files to Windows installers that are needed
  to compile client programs.

* Fri Jun 18 2010 Sjoerd Mullender <sjoerd@acm.org> - 2.38.1-20100618
- Rebuilt.

* Mon May 31 2010 Sjoerd Mullender <sjoerd@acm.org> - 2.38.1-20100618
- Updated Vendor information.

* Tue Apr 20 2010 Stefan Manegold <manegold@cwi.nl> - 2.38.1-20100618
- Made compilation of "testing" (and "java") independent of MonetDB.
  This is mainly for Windows, but also on other systems, "testing" can
  now be built independently of (and hence before) "MonetDB".  Files
  that mimic configure functionality on Windows were moved from
  "MonetDB" to "buildtools"; hence, this affects all packages on
  Windows, requiring a complete rebuild from scratch on Windows.
  getopt() support in testing has changed; hence, (most probably)
  requiring a rebuild from scratch of testing on other systems.

* Tue Apr 20 2010 Stefan Manegold <manegold@cwi.nl> - 2.38.1-20100618
- Implemented build directory support for Windows, i.e., like on
  Unix/Linux also on Windows we can now build in a separate build
  directory as alternative to ...\<package>\NT, and thus keep the latter
  clean from files generated during the build.  On Windows, the build
  directory must be a sibling of ...\<package>\NT .

* Tue Apr 20 2010 Sjoerd Mullender <sjoerd@acm.org> - 2.36.5-20100420
- Rebuilt.

* Thu Apr  8 2010 Stefan Manegold <manegold@cwi.nl> - 2.36.5-20100420
- fixed bug #2983773 "SQL: minimal optimizer pipe unstable"

* Mon Mar 22 2010 Sjoerd Mullender <sjoerd@acm.org> - 2.36.3-20100322
- Rebuilt.

* Wed Feb 24 2010 Sjoerd Mullender <sjoerd@acm.org> - 2.36.1-20100224
- Rebuilt.

